SDK для Unity / Не удается найти UnityEditor.iOS.Extensions.Xcode
 На главную

SDK для Unity

  • Руководство по интеграции

  • Демопроект

  • Аутентификация

  • Каталог

  • Подписки

  • Акции

  • Покупка товара

  • Инвентарь игрока

  • Личный кабинет и атрибуты пользователя

  • Руководства по сборке приложений

  • Решение проблем


  • Не удается найти UnityEditor.iOS.Extensions.Xcode

    Описание проблемы

    Проблема появляется при использовании External Dependency Manager на Unity версии 2020.1.0f1 и выше.

    При сборке приложения отображается сообщение об ошибке:

    Copy
    Full screen
    Small screen
      Assembly 'Packages/com.google.external-dependency-manager/ExternalDependencyManager/Editor/Google.IOSResolver_v1.2.161.dll' will not be loaded due to errors:
      Unable to resolve reference 'UnityEditor.iOS.Extensions.Xcode'. Is the assembly missing or incompatible with the current platform?
      Reference validation can be disabled in the Plugin Inspector.

      Статус проблемы: Исправлено в версии 0.6.4.5.

      Обходное решение

      Установите модуль iOS Build Support из Unity Hub.

      Была ли статья полезна?
      Спасибо!
      Что может сделать страницу еще лучше? Сообщение
      Жаль, что так произошло
      Расскажите, почему статья не была полезна. Сообщение
      Спасибо за обратную связь!
      Ваши мысли и идеи помогут нам улучшить ваш пользовательский опыт.
      Оценить страницу
      Оценить страницу
      Что может сделать страницу еще лучше?

      В другой раз

      Спасибо за обратную связь!
      Последнее обновление: 28 апреля 2022

      Нашли опечатку или ошибку в тексте? Выделите ее и нажмите Ctrl+Enter.

      Сообщите о проблеме
      Мы постоянно улучшаем качество нашей документации. Ваш отзыв поможет нам в этом.
      Укажите email-адрес, чтобы мы могли связаться с вами
      Спасибо за обратную связь!